//Планшет, Android и МК. Ракурс 3 (листинг 2), РА-7/2014
// ИК-диод подключен к Arduino, прием на камеру планшета
void setup() //Начальные установки======================
{ pinMode(2, OUTPUT);  //Настройка порта D2 на выход
  pinMode(13, OUTPUT); //Настройка порта D13 на выход
} //====================================================
void loop() //Основная программа, бесконечный цикл
{ int number=0; int on=0; //Вспомогательные переменные
  digitalWrite(2, HIGH);    //Включить ИК-диод
  digitalWrite(13, HIGH);   //Включить светодиод Arduino
  long raw = (long)analogRead(A5)*5000/1024;   //мВ АЦП
  if(raw < 1667) number=1; //Если меньше 1/3 питания
  if((raw > 1666)&&(raw < 3334)) number=2; //1/3...2/3
  if(raw > 3333) number=3; //Если больше 2/3 питания
  for (int b=0; b < (number * 2); b++) //Мигание
  { on = !on; //Поочередная смена "ВКЛ-ВЫКЛ"
    digitalWrite(2, on ? HIGH : LOW);  //ИК-диод D2
    digitalWrite(13, on ? HIGH : LOW); //Светодиод D13
    delay(200); //Задержка 200 мс (полупериод мигания)
  } //Мигание 1...3 раза в завис. от движка резистора R1
  digitalWrite(2, LOW);    //Выключить ИК-диод
  digitalWrite(13, LOW);   //Выключить светодиод Arduino
  delay(6000);    //Перерыв на 6 секунд (можно изменить)
} //Arduino-1.0.5-r2, длина кода 1574 байтов (4,8%)
